<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXKit/Classes/ScoreView/KKLScoreEvaluateVIew.h 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_k_k_l_score_evaluate_v_iew_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">KKLScoreEvaluateVIew.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_k_k_l_score_evaluate_v_iew_8h.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//  KKLScoreEvaluateVIew.h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//  CKKit</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//  Created by Macintash on 2020/4/21.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#import &lt;UIKit/UIKit.h&gt;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;NS_ASSUME_NONNULL_BEGIN</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="interface_k_k_l_score_evaluate_v_iew.html">   12</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_k_k_l_score_evaluate_v_iew.html">KKLScoreEvaluateVIew</a> : UIView</div>
<div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="interface_k_k_l_score_evaluate_v_iew.html#a0d356e4bf3a84671fde8c7026455a94b">   13</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) <span class="keywordtype">int</span> <a class="code" href="interface_k_k_l_score_evaluate_v_iew.html#a0d356e4bf3a84671fde8c7026455a94b">fullScore</a>; <span class="comment">//评分的满分值，默认为1</span></div>
<div class="line"><a name="l00014"></a><span class="lineno"><a class="line" href="interface_k_k_l_score_evaluate_v_iew.html#a8910cba291a0946f0c1c78cc5fe5af06">   14</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) <span class="keywordtype">int</span> <a class="code" href="interface_k_k_l_score_evaluate_v_iew.html#a8910cba291a0946f0c1c78cc5fe5af06">actualScore</a>; <span class="comment">//评分的实际分数，默认为1</span></div>
<div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="interface_k_k_l_score_evaluate_v_iew.html#aca195195da7d47ea1e966f241a608d47">   15</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) BOOL <a class="code" href="interface_k_k_l_score_evaluate_v_iew.html#aca195195da7d47ea1e966f241a608d47">isContrainsHalfStar</a>; <span class="comment">//是否包含半颗星，默认为NO</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160; </div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160; </div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">//下面这个函数中的参数numberOfStars是我们总共的星级数,满分是几颗星，isVariable代表是否可以修改星级</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;- (instancetype)initWithFrame:(CGRect)frame numberOfStars:(NSInteger)numberOfStars isVariable:(BOOL)isVariable;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;- (void)setDefaultScore:(<span class="keywordtype">int</span>)score;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment">// 分数</span></div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="interface_k_k_l_score_evaluate_v_iew.html#aa426e085de95163b528e70a1d1bb7b10">   22</a></span>&#160;<span class="keyword">@property</span> (nonatomic, copy) <span class="keywordtype">void</span> (^<a class="code" href="interface_k_k_l_score_evaluate_v_iew.html#aa426e085de95163b528e70a1d1bb7b10">scoreBlock</a>)(<span class="keywordtype">int</span> score);</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160; </div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">@end</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;NS_ASSUME_NONNULL_END</div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="ainterface_k_k_l_score_evaluate_v_iew_html_a0d356e4bf3a84671fde8c7026455a94b"><div class="ttname"><a href="interface_k_k_l_score_evaluate_v_iew.html#a0d356e4bf3a84671fde8c7026455a94b">KKLScoreEvaluateVIew::fullScore</a></div><div class="ttdeci">int fullScore</div><div class="ttdef"><b>Definition:</b> <a href="_k_k_l_score_evaluate_v_iew_8h_source.html#l00013">KKLScoreEvaluateVIew.h:13</a></div></div>
<div class="ttc" id="ainterface_k_k_l_score_evaluate_v_iew_html_aa426e085de95163b528e70a1d1bb7b10"><div class="ttname"><a href="interface_k_k_l_score_evaluate_v_iew.html#aa426e085de95163b528e70a1d1bb7b10">KKLScoreEvaluateVIew::scoreBlock</a></div><div class="ttdeci">void(^ scoreBlock)(int score)</div></div>
<div class="ttc" id="ainterface_k_k_l_score_evaluate_v_iew_html_aca195195da7d47ea1e966f241a608d47"><div class="ttname"><a href="interface_k_k_l_score_evaluate_v_iew.html#aca195195da7d47ea1e966f241a608d47">KKLScoreEvaluateVIew::isContrainsHalfStar</a></div><div class="ttdeci">BOOL isContrainsHalfStar</div><div class="ttdef"><b>Definition:</b> <a href="_k_k_l_score_evaluate_v_iew_8h_source.html#l00015">KKLScoreEvaluateVIew.h:15</a></div></div>
<div class="ttc" id="ainterface_k_k_l_score_evaluate_v_iew_html"><div class="ttname"><a href="interface_k_k_l_score_evaluate_v_iew.html">KKLScoreEvaluateVIew</a></div><div class="ttdef"><b>Definition:</b> <a href="_k_k_l_score_evaluate_v_iew_8h_source.html#l00012">KKLScoreEvaluateVIew.h:13</a></div></div>
<div class="ttc" id="ainterface_k_k_l_score_evaluate_v_iew_html_a8910cba291a0946f0c1c78cc5fe5af06"><div class="ttname"><a href="interface_k_k_l_score_evaluate_v_iew.html#a8910cba291a0946f0c1c78cc5fe5af06">KKLScoreEvaluateVIew::actualScore</a></div><div class="ttdeci">int actualScore</div><div class="ttdef"><b>Definition:</b> <a href="_k_k_l_score_evaluate_v_iew_8h_source.html#l00014">KKLScoreEvaluateVIew.h:14</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_05f730b1f29a3e373a3d04cb5cb42ea7.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_2d533305e802e0a7e844b4ecd2e2bdb2.html">Classes</a></li><li class="navelem"><a class="el" href="dir_a783aa1c6393025d7fbcae9a551df9e6.html">ScoreView</a></li><li class="navelem"><a class="el" href="_k_k_l_score_evaluate_v_iew_8h.html">KKLScoreEvaluateVIew.h</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
